Supported Big Data platform distribution versions for Talend Jobs - 7.3

Talend Data Integration Installation Guide for Mac

EnrichVersion
7.3
EnrichProdName
Talend Data Integration
task
Installation and Upgrade
EnrichPlatform
Talend Activity Monitoring Console
Talend Administration Center
Talend Artifact Repository
Talend CommandLine
Talend Data Preparation
Talend Data Stewardship
Talend Identity and Access Management
Talend Installer
Talend JobServer
Talend Log Server
Talend Runtime
Talend Studio

Regular Hadoop distributions and dynamic support for Hadoop distributions

To find the compatibility between regular Hadoop distributions and Talend-supported Big Data elements, click on a Big Data related element below.

Old versions of the supported Big Data platforms are being retired by their vendors. Talend ceases to support a version once this version reaches its date of end of support set by its vendor.

Talend and its community provide you with the convenience to keep using a version its vendor ceases to support in Talend products. For this reason, this version could be still listed in the following tables and available in the products but Talend stops providing support for this version.

Talend supports the minor versions of the distribution versions listed in the following tables.

Supported Hadoop distributions with HBase
Hadoop distribution Version Supports Kerberos Kinit and Keytab
HDP v2.5.0 Yes
v2.6.0 Yes
v2.6.0.3-8 Yes
v3.14.12-1 Yes

The other 3.x versions - compatible through Dynamic Distributions

-
Cloudera 5.5 (YARN mode) Yes
5.6 (YARN mode) Yes
5.7 (YARN mode) Yes
5.8 (YARN mode) Yes
5.10 (YARN mode) Yes
5.12.1 (YARN mode) Yes
5.13.0 Yes

The other 5.x versions - compatible through Dynamic Distributions

-

6.1.1

Yes

The other 6.x versions - compatible through Dynamic Distributions

-
7.1.1 Yes
MapR 1, 2 5.0.0 (YARN mode) Yes
5.1.0 (YARN mode) Yes
5.2.0 (YARN mode) Yes

1. For all MapR versions prior to v6.0, the MapR security ticket mechanism is supported by the Studio.

2. In MapR v6.0, HBase support has been removed in favor of MapR-DB. For more information, see https://maprdocs.mapr.com/home/ReleaseNotes/install_upgrade_notes.html.

Supported Hadoop distributions with HCatalog
Hadoop distribution Version Supports Kerberos Kinit and Keytab
HDP v2.5.0 Yes
v2.6.0 Yes
v2.6.0.3-8 Yes
v3.14.12-1 Yes

The other 3.x versions - compatible through Dynamic Distributions

-
Cloudera 5.5 (YARN mode) Yes
5.6 (YARN mode) Yes
5.7 (YARN mode) Yes
5.8 (YARN mode) Yes
5.10 (YARN mode) Yes
5.12.1 (YARN mode) Yes
5.13.0 Yes

The other 5.x versions - compatible through Dynamic Distributions

-

6.1.1

Yes

The other 6.x versions - compatible through Dynamic Distributions

-
MapR 1, 2 5.0.0 (YARN mode) Yes
5.1.0 (YARN mode) Yes
5.2.0 (YARN mode) Yes
6.0.0 (YARN mode) Yes
6.0.1 MEP 5.0 (YARN mode) Yes
6.1 / MEP 6.1 Yes

1. For all MapR versions prior to v6.0, the MapR security ticket mechanism is supported by the Studio.

2. In MapR v6.0, HBase support has been removed in favor of MapR-DB. For more information, see https://maprdocs.mapr.com/home/ReleaseNotes/install_upgrade_notes.html.

Supported Hadoop distributions with HDFS
Hadoop distribution Version Supports Kerberos Kinit and Keytab
HDP v2.5.0 Yes
v2.6.0 Yes
v2.6.0.3-8 Yes
v3.14.12-1 Yes

The other 3.x versions - compatible through Dynamic Distributions

-
Cloudera 5.5 (YARN mode) Yes
5.6 (YARN mode) Yes
5.7 (YARN mode) Yes
5.8 (YARN mode) Yes
5.10 (YARN mode) Yes
5.12.1 (YARN mode) Yes
5.13.0 Yes

The other 5.x versions - compatible through Dynamic Distributions

-

6.1.1

Yes

The other 6.x versions - compatible through Dynamic Distributions

-
MapR 1, 2 5.0.0 (YARN mode) Yes
5.1.0 (YARN mode) Yes
5.2.0 (YARN mode) Yes
6.0.0 (YARN mode) Yes
6.0.1 MEP 5.0 (YARN mode) Yes
6.1 / MEP 6.1 Yes

1. For all MapR versions prior to v6.0, the MapR security ticket mechanism is supported by the Studio.

2. In MapR v6.0, HBase support has been removed in favor of MapR-DB. For more information, see https://maprdocs.mapr.com/home/ReleaseNotes/install_upgrade_notes.html.

Supported Hadoop distributions with Hive
Hadoop distribution Version Supports Kerberos Kinit and Keytab
HDP v2.5.0 Yes
v2.6.0 Yes
v2.6.0.3-8 Yes
v3.14.12-1 Yes

The other 3.x versions - compatible through Dynamic Distributions

-
Cloudera 5.5 (YARN mode) Yes
5.6 (YARN mode) Yes
5.7 (YARN mode) Yes
5.8 (YARN mode) Yes
5.10 (YARN mode) Yes
5.12.1 (YARN mode) Yes
5.13.0 Yes

The other 5.x versions - compatible through Dynamic Distributions

-

6.1.1

Yes

The other 6.x versions - compatible through Dynamic Distributions

-
MapR 1, 2 5.0.0 (YARN mode) Yes
5.1.0 (YARN mode) Yes
5.2.0 (YARN mode) Yes
6.0.0 (YARN mode) Yes
6.0.1 MEP 5.0 (YARN mode) Yes
6.1 / MEP 6.1 Yes
Note: The Profiling perspective does not support the Embedded connection mode on Hive distributions. This mode is available mainly for test purposes done by Hadoop developers. The studio may not be able to run correctly with the embedded mode.

1. For all MapR versions prior to v6.0, the MapR security ticket mechanism is supported by the Studio.

2. In MapR v6.0, HBase support has been removed in favor of MapR-DB. For more information, see https://maprdocs.mapr.com/home/ReleaseNotes/install_upgrade_notes.html.

Supported Hadoop distributions with Sqoop
Hadoop distribution Version Supports Kerberos Kinit and Keytab
HDP v2.5.0 Yes
v2.6.0 Yes
v2.6.0.3-8 Yes
v3.1.4.12-1 Yes

The other 3.x versions - compatible through Dynamic Distributions

-
Cloudera 5.5 (YARN mode) Yes
5.6 (YARN mode) Yes
5.7 (YARN mode) Yes
5.8 (YARN mode) Yes
5.10 (YARN mode) Yes
5.12.1 (YARN mode) Yes
5.13.0 Yes

The other 5.x versions - compatible through Dynamic Distributions

-

6.1.1

Yes

The other 6.x versions - compatible through Dynamic Distributions

-
MapR 1, 2 5.0.0 (YARN mode) Yes
5.1.0 (YARN mode) Yes
5.2.0 (YARN mode) Yes
6.0.0 (YARN mode) Yes
6.0.1 MEP 5.0 (YARN mode) Yes
6.1 / MEP 6.1 Yes

1. For all MapR versions prior to v6.0, the MapR security ticket mechanism is supported by the Studio.

2. In MapR v6.0, HBase support has been removed in favor of MapR-DB. For more information, see https://maprdocs.mapr.com/home/ReleaseNotes/install_upgrade_notes.html.

Supported Hadoop distributions with Spark
Hadoop distribution Version Works with Spark Stand-alone Works with Spark YARN Supports Kerberos Kinit and Keytab
HDP v2.5.0 - v1.6 (Deprecated) Yes (YARN only)
v2.6.0 - v1.6 (Deprecated) / v2.1 Yes (YARN only)
v2.6.0.3-8 - v1.6 (Deprecated) / v2.1 Yes (YARN only)
v3.1.4.12-1 - v2.3 Yes (YARN only)

The other 3.x versions - compatible through Dynamic Distributions

- - -
Cloudera 5.5 (YARN mode) v1.5 (Deprecated) v1.5 (Deprecated) Yes (YARN only)
5.6 (YARN mode) v1.5 (Deprecated) v1.5 (Deprecated) Yes (YARN only)
5.7 (YARN mode) v1.6 (Deprecated) v1.6 (Deprecated) Yes (YARN only)
5.8 (YARN mode) v1.6 (Deprecated) v1.6 (Deprecated) / v2.1 Yes (YARN only)
5.10 (YARN mode) v1.6 (Deprecated) / 2.1 v1.6 (Deprecated) / v2.1 Yes (YARN only)
5.12.1 (YARN mode) v2.2 v2.2 Yes (YARN only)
5.13.0 v2.2 v2.2 Yes (YARN only)

The other 5.x versions - compatible through Dynamic Distributions

- - -
6.1.1 v2.4 v2.4 Yes (YARN only)

The other 6.x versions - compatible through Dynamic Distributions

- - -
MapR 1, 2 5.0.0 (YARN mode) v1.3 (Deprecated) v1.3 (Deprecated) Yes (YARN only)
5.1.0 (YARN mode) v1.5 (Deprecated) v1.5 (Deprecated) Yes (YARN only)
5.2.0 (YARN mode) v1.6 (Deprecated) v1.6 (Deprecated) Yes (YARN only)
6.0.0 (YARN mode) v2.1 v2.1 Yes (YARN only)
6.0.1 MEP 5.0 (YARN mode) v2.2 v2.2 Yes (YARN only)
6.1 / MEP 6.1 v2.3 v2.3 Yes (YARN only)
6.1 / MEP 6.1.1 v2.3 v2.3 Yes (YARN only)

1. For all MapR versions prior to v6.0, the MapR security ticket mechanism is supported by the Studio.

2. In MapR v6.0, HBase support has been removed in favor of MapR-DB. For more information, see https://maprdocs.mapr.com/home/ReleaseNotes/install_upgrade_notes.html.

Supported Hadoop distributions with Azure Data Lake Storage Gen2 (ADLS Gen2)
Hadoop distribution Version Works with Spark Stand-alone Works with Spark YARN Supports Kerberos Kinit and Keytab
HDP v3.1.4.12-1 - v2.3 Yes (YARN only)

The other 3.x versions - compatible through Dynamic Distributions

- - -
Cloudera

6.1.1

v2.4 v2.4 Yes (YARN only)

The other 6.x versions - compatible through Dynamic Distributions

- - -

If you need information about the Big Data Cloud platforms supported by Talend with ADLS Gen2, see the following section called Supported Cloud Big Data platform distribution versions for Talend Jobs of your installation guide.

Supported Hadoop distributions with Kafka in Spark Streaming Jobs
Hadoop distribution Version Works with Spark Stand-alone Works with Spark YARN Supports Kerberos Kinit and Keytab Kafka versions
HDP v2.5.0 - v1.6 (Deprecated) Yes (YARN only) v0.10
v2.6.0 - v1.6 (Deprecated) / v2.1 Yes (YARN only) v0.10
v2.6.0.3-8 - v1.6 (Deprecated) / v2.1 Yes (YARN only)

v1.x

v3.1.4.12-1 - v2.3 Yes (YARN only)

v2.x

The other 3.x versions - compatible through Dynamic Distributions

- - - -
Cloudera 5.5 (YARN mode) v1.5 (Deprecated) v1.5 (Deprecated) Yes (YARN only) v0.10
5.6 (YARN mode) v1.5 (Deprecated) v1.5 (Deprecated) Yes (YARN only) v0.10
5.7 (YARN mode) v1.6 (Deprecated) v1.6 (Deprecated) Yes (YARN only) v0.10
5.8 (YARN mode) v1.6 (Deprecated) v1.6 (Deprecated) / v2.1 Yes (YARN only) v0.10
5.10 (YARN mode) v1.6 (Deprecated) / 2.1 v1.6 (Deprecated) / v2.1 Yes (YARN only) v0.10
5.12.1 (YARN mode) v2.2 v2.2 Yes (YARN only) v0.10
5.13.0 v2.2 v2.2 Yes (YARN only) v0.10

The other 5.x versions - compatible through Dynamic Distributions

- - - -

6.1.1

v2.4 v2.4 Yes (YARN only)

v2.x

The other 6.x versions - compatible through Dynamic Distributions

- - - -
MapR 1, 2 5.0.0 (YARN mode) v1.3 (Deprecated) v1.3 (Deprecated) Yes (YARN only) v0.10
5.1.0 (YARN mode) v1.5 (Deprecated) v1.5 (Deprecated) Yes (YARN only) v0.10
5.2.0 (YARN mode) v1.6 (Deprecated) v1.6 (Deprecated) Yes (YARN only) v0.10
6.0.0 (YARN mode) v2.1 v2.1 Yes (YARN only) v0.10
6.0.1 MEP 5.0 (YARN mode) v2.2 v2.2 Yes (YARN only) v0.10
6.1 / MEP 6.1 v2.3 v2.3 Yes (YARN only)

v1.x

Supported Hadoop distributions with Impala
Hadoop distribution Version Supports Kerberos Kinit and Keytab
Cloudera

7.1.1

-